| shuffleseq

## Function

Shuffles a set of sequences maintaining composition

## Description

This takes a sequence as input and outputs one or more sequences whose order has been randomly shuffled. No bases or residues are changed, only their order.

The number of shuffled sequences output can be set by the '-shuffle' qualifier.

## Usage

Here is a sample session with shuffleseq

This makes two randomised copies of the input sequence:

    % shuffleseq -shuffle 2
    Shuffles a set of sequences maintaining composition
    Input sequence(s): tembl:mmam
    Output sequence [mmam.fasta]:

Go to the input files for this example
Go to the output files for this example

## Command line arguments

       Standard (Mandatory) qualifiers:
      [-sequence]          seqall     Sequence database USA
      [-outseq]            seqoutall  Output sequence(s) USA

       Additional (Optional) qualifiers: (none)
       Advanced (Unprompted) qualifiers:
       -shuffle            integer    Number of shuffles

       Associated qualifiers:

       "-sequence" associated qualifiers
       -sbegin1             integer    Start of each sequence to be used
       -send1               integer    End of each sequence to be used
       -sreverse1           boolean    Reverse (if DNA)
       -sask1               boolean    Ask for begin/end/reverse
       -snucleotide1        boolean    Sequence is nucleotide
       -sprotein1           boolean    Sequence is protein
       -slower1             boolean    Make lower case
       -supper1             boolean    Make upper case
       -sformat1            string     Input sequence format
       -sdbname1            string     Database name
       -sid1                string     Entryname
       -ufo1                string     UFO features
       -fformat1            string     Features format
       -fopenfile1          string     Features file name

       "-outseq" associated qualifiers
       -osformat2           string     Output seq format
       -osextension2        string     File name extension
       -osname2             string     Base file name
       -osdirectory2        string     Output directory
       -osdbname2           string     Database name to add
       -ossingle2           boolean    Separate file for each entry
       -oufo2               string     UFO features
       -offormat2           string     Features format
       -ofname2             string     Features file name
       -ofdirectory2        string     Output directory

       General qualifiers:
       -auto                boolean    Turn off prompts
       -stdout              boolean    Write standard output
       -filter              boolean    Read standard input, write standard output
       -options             boolean    Prompt for standard and additional values
       -debug               boolean    Write debug output to program.dbg
       -verbose             boolean    Report some/full command line options
       -help                boolean    Report command line options. More
                                      information on associated and general
                                      qualifiers can be found with -help -verbose
       -warning             boolean    Report warnings
       -error               boolean    Report errors
       -fatal               boolean    Report fatal errors
       -die                 boolean    Report deaths

Standard (Mandatory) qualifiers | Allowed values | Default
--- | --- | ---
[-sequence] (Parameter 1) | Sequence database USA | Readable sequence(s) | Required
[-outseq] (Parameter 2) | Output sequence(s) USA | Writeable sequence(s) | <sequence>.format
Additional (Optional) qualifiers | Allowed values | Default
(none)
Advanced (Unprompted) qualifiers | Allowed values | Default
-shuffle | Number of shuffles | Any integer value | 1

## Input file format

shuffleseq reads one or more sequence USAs.

### Input files for usage example

'tembl:mmam' is a sequence entry in the example nucleic acid database 'tembl'

### Database entry: tembl:mmam

    ID   MMAM       standard; RNA; MUS; 366 BP.
    XX
    AC   L48662;
    XX
    SV   L48662.1
    XX
    DT   04-NOV-1995 (Rel. 45, Created)
    DT   04-MAR-2000 (Rel. 63, Last updated, Version 4)
    XX
    DE   Mus musculus (cell line C3H/F2-11) chromosome 12 anti-DNA antibody heavy
    DE   chain mRNA.
    XX
    KW   .
    XX
    OS   Mus musculus (house mouse)
    OC   Eukaryota; Metazoa; Chordata; Craniata; Vertebrata; Euteleostomi; Mammalia;
    OC   Eutheria; Rodentia; Sciurognathi; Muridae; Murinae; Mus.
    XX
    RN   [1]
    RP   1-366
    RX   MEDLINE; 96409289.
    RX   PUBMED; 8814271.
    RA   Wloch M.K., Alexander A.L., Pippen A.M., Pisetsky D.S., Gilkeson G.S.;
    RT   "Differences in V kappa gene utilization and VH CDR3 sequence among
    RT   anti-DNA from C3H-lpr mice and lupus mice with nephritis";
    RL   Eur. J. Immunol. 26(9):2225-2233(1996).
    XX
    FH   Key             Location/Qualifiers
    FH
    FT   source          1..366
    FT                   /db_xref="taxon:10090"
    FT                   /organism="Mus musculus"
    FT                   /strain="C3H/HeJ-lpr/lpr"
    FT                   /cell_line="C3H/F2-11"
    FT                   /cell_type="hybridoma"
    FT                   /tissue_type="spleen"
    XX
    SQ   Sequence 366 BP; 100 A; 90 C; 85 G; 89 T; 2 other;
         gagnnccagc tgcagcagtc tggacctgag ctggtaaagc ctggggcttc agtgaagatg        60
         tcctgcaagg cttctggata cacattcact agctatgtta tgcactgggt gaatcagaag       120
         cctgggcagg gccttgagtg gattggatat attaatcctt acaatgatgg tactaactac       180
         aatgagaagt tcaaaggcaa ggccacactg acttcagaca aatcctccag cacagcctac       240
         atggagttca gcagcctgac ctctgaggac tctgcggtct attactgtgc aagaaaaact       300
         tcctactata gtaacctata ttactttgac tactggggcc aaggcaccac tctcacagtc       360
         tcctca                                                                  366
    //

## Output file format

### Output files for usage example

### File: mmam.fasta

    >MMAM L48662.1 Mus musculus (cell line C3H/F2-11) chromosome 12 anti-DNA antibody heavy chain mRNA.
    cgctactcatcggtgcctctgggtagcacctgggacctaggtgtgagagttcttgatgat
    ccaccccagacggggtgtaattctctgtccccagacaccagcatagcggtgcctgcgtgc
    accaattacgtttgacaaaccctaatattggcgagccgagcaantcaatcaaatgagcgg
    gcgaacgagtcaaggaccgaacctccccaagatttattccaacgaattactattctcctt
    tgtacgtatatatcttatatgcatcggtctatttgcgtcggatagcgtagtacaggcagt
    cgaacctaccggcagtagtatgcaggagtnacaatgtcacatatcgagtattaagaacaa
    agaata
    >MMAM L48662.1 Mus musculus (cell line C3H/F2-11) chromosome 12 anti-DNA antibody heavy chain mRNA.
    gaatttcaattctagatgaatccccaccgcccacaaaccgaccatcatcgacaaaacccc
    gtctagtaggcttgtcagaggtaactttgcccaaacgcagcagaatgtgcgtgctgtaaa
    gcacttattgccaccttngcccgcaaaaacccactcacaaaattccacgcggggtactca
    ctagaatgtagtaggaagtcgatggttacgcgcgcacaacggccggtacagagattcggt
    gggatctctaagtcagttgcgatttataacccggtaatttcaggatatagtcgttacggt
    ggtgggtgaggcgcgttaagtttacccaagtnatcacgcgtttatagacgcttgcttaat
    atgtta

Each run will produce a different sequence.

Note that these two sequences have the same name.

## Data files

None.

## Notes

This program may be useful for producing sets of sequences which can be used to check the statistics of sequence similarity finding software.

## References

None.

## Warnings

None.

## Diagnostic Error Messages

None.

## Exit status

It always exits with status 0.

## Known bugs

None.

## See also

Program name | Description
--- | ---
msbar | Mutate sequence beyond all recognition

## Author(s)

Michael Schmitz (mschmitz © lbl.gov)
Lawrence Berkeley Labs, USA

## History

## Target users

This program is intended to be used by everyone and everything, from naive users to embedded scripts.

## Comments

None